# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Final Fantasy Mystic Quest Template

game: Final Fantasy Mystic Quest
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Final Fantasy Mystic Quest:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    # 
    # **Items:** ensure all logically relevant items can be acquired. Some items, such as keys, may be self-locking, and
    # some locations may be inaccessible.
    full: 0
    minimal: 0
    items: 50

  logic:
    # Placement logic sets the rules that will be applied when placing items. Friendly: Required Items to clear a
    # dungeon will never be placed in that dungeon to avoid the need to revisit it. Also, the Magic Mirror and the Mask
    # will always be available before Ice Pyramid and Volcano, respectively. Note: If Dungeons are shuffled, Friendly
    # logic will only ensure the availability of the Mirror and the Mask. Standard: Items are randomly placed and logic
    # merely verifies that they're all accessible. As for Region access, only the Coins are considered. Expert: Same as
    # Standard, but Items Placement logic also includes other routes than Coins: the Crests Teleporters, the
    # Fireburg-Aquaria Lava bridge and the Sealed Temple Exit trick.
    friendly: 0
    standard: 50
    expert: 0

  brown_boxes:
    # Include the 201 brown box locations from the original game. Brown Boxes are all the boxes that contained a
    # consumable in the original game. If shuffle is chosen, the consumables contained will be shuffled but the brown
    # boxes will not be Archipelago location checks.
    exclude: 0
    include: 50
    shuffle: 0

  sky_coin_mode:
    # Configure how the Sky Coin is acquired. With standard, the Sky Coin will be placed randomly. With Start With, the
    # Sky Coin will be in your inventory at the start of the game. With Save The Crystals, the Sky Coin will be acquired
    # once you save all 4 crystals. With Shattered Sky Coin, the Sky Coin is split in 40 fragments; you can enter Doom
    # Castle once the required amount is found. Shattered Sky Coin will force brown box locations to be included.
    standard: 50
    start_with: 0
    save_the_crystals: 0
    shattered_sky_coin: 0

  shattered_sky_coin_quantity:
    # Configure the number of the 40 Sky Coin Fragments required to enter the Doom Castle. Only has an effect if
    # Sky Coin Mode is set to shattered. Low: 16. Mid: 24. High: 32. Random Narrow: random between 16 and 32.
    # Random Wide: random between 10 and 38.
    low_16: 0
    mid_24: 50
    high_32: 0
    random_narrow: 0
    random_wide: 0

  starting_weapon:
    # Choose your starting weapon.
    steel_sword: 0
    axe: 0
    cat_claw: 0
    bomb: 0
    random: 50

  progressive_gear:
    # Pieces of gear are always acquired from weakest to strongest in a set.
    'false': 50
    'true': 0

  leveling_curve:
    # Adjust the level gain rate.
    half: 0
    normal: 0
    one_and_half: 0
    double: 0
    double_and_half: 50
    triple: 0
    quadruple: 0

  starting_companion:
    # Set a companion to start with.
    # Random Companion: Randomly select one companion.
    # Random Plus None: Randomly select a companion, with the possibility of none selected.
    none: 50
    kaeli: 0
    tristam: 0
    phoebe: 0
    reuben: 0
    random_companion: 0
    random_plus_none: 0

  available_companions:
    # Select randomly which companions will join your party. Unavailable companions can still be reached to get their items and complete their quests if needed.
    # Note: If a Starting Companion is selected, it will always be available, regardless of this setting.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 4
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-4: 0 # random value between 0 and 4

  companions_locations:
    # Set the primary location of companions. Their secondary location is always the same.
    # Standard: Companions will be at the same locations as in the original game.
    # Shuffled: Companions' locations are shuffled amongst themselves.
    # Shuffled Extended: Add all the Temples, as well as Phoebe's House and the Rope Bridge as possible locations.
    standard: 50
    shuffled: 0
    shuffled_extended: 0

  kaelis_mom_fight_minotaur:
    # Transfer Kaeli's requirements (Tree Wither, Elixir) and the two items she's giving to her mom.
    # Kaeli will be available to join the party right away without the Tree Wither.
    'false': 50
    'true': 0

  companion_leveling_type:
    # Set how companions gain levels.
    # Quests: Complete each companion's individual quest for them to promote to their second version.
    # Quests Extended: Each companion has four exclusive quests, leveling each time a quest is completed.
    # Save the Crystals (All): Each time a Crystal is saved, all companions gain levels.
    # Save the Crystals (Individual): Each companion will level to their second version when a specific Crystal is saved.
    # Benjamin Level: Companions' level tracks Benjamin's.
    quests: 50
    quests_extended: 0
    save_crystals_individual: 0
    save_crystals_all: 0
    benjamin_level: 0
    benjamin_level_plus_5: 0
    benjamin_level_plus_10: 0

  companion_spellbook_type:
    # Update companions' spellbook.
    # Standard: Original game spellbooks.
    # Extended: Add some extra spells. Tristam gains Exit and Quake and Reuben gets Blizzard.
    # Random Balanced: Randomize the spellbooks with an appropriate mix of spells.
    # Random Chaos: Randomize the spellbooks in total free-for-all.
    standard: 50
    extended: 0
    random_balanced: 0
    random_chaos: 0

  enemies_density:
    # Set how many of the original enemies are on each map.
    all: 50
    three_quarter: 0
    half: 0
    quarter: 0
    none: 0

  enemies_scaling_lower:
    # Randomly adjust enemies stats by the selected range percentage. Include mini-bosses' weaker clones.
    quarter: 50
    half: 0
    three_quarter: 0
    normal: 0
    one_and_quarter: 0
    one_and_half: 0
    double: 0
    double_and_half: 0
    triple: 0

  enemies_scaling_upper:
    # Randomly adjust enemies stats by the selected range percentage. Include mini-bosses' weaker clones.
    quarter: 0
    half: 0
    three_quarter: 0
    normal: 0
    one_and_quarter: 50
    one_and_half: 0
    double: 0
    double_and_half: 0
    triple: 0

  bosses_scaling_lower:
    # Randomly adjust bosses stats by the selected range percentage. Include Mini-Bosses, Bosses, Bosses' refights and
    # the Dark King.
    quarter: 50
    half: 0
    three_quarter: 0
    normal: 0
    one_and_quarter: 0
    one_and_half: 0
    double: 0
    double_and_half: 0
    triple: 0

  bosses_scaling_upper:
    # Randomly adjust bosses stats by the selected range percentage. Include Mini-Bosses, Bosses, Bosses' refights and
    # the Dark King.
    quarter: 0
    half: 0
    three_quarter: 0
    normal: 0
    one_and_quarter: 50
    one_and_half: 0
    double: 0
    double_and_half: 0
    triple: 0

  enemizer_attacks:
    # Shuffles enemy attacks. Standard: No shuffle. Safe: Randomize every attack but leave out self-destruct and Dark
    # King attacks. Chaos: Randomize and include self-destruct and Dark King attacks. Self Destruct: Every enemy
    # self-destructs. Simple Shuffle: Instead of randomizing, shuffle one monster's attacks to another. Dark King is left
    # vanilla.
    normal: 50
    safe: 0
    chaos: 0
    self_destruct: 0
    simple_shuffle: 0

  enemizer_groups:
    # Set which enemy groups will be affected by Enemizer.
    mobs_only: 0
    mobs_and_bosses: 50
    mobs_bosses_and_dark_king: 0

  shuffle_res_weak_types:
    # Resistance and Weakness types are shuffled for all enemies.
    'false': 50
    'true': 0

  shuffle_enemies_position:
    # Instead of their original position in a given map, enemies are randomly placed.
    'false': 0
    'true': 50

  progressive_formations:
    # Enemies' formations are selected by regions, with the weakest formations always selected in Foresta and the
    # strongest in Windia. Disabled: Standard formations are used. Regions Strict: Formations will come exclusively
    # from the current region, whatever the map is. Regions Keep Type: Formations will keep the original formation type
    # and match with the nearest power level.
    disabled: 50
    regions_strict: 0
    regions_keep_type: 0

  doom_castle_mode:
    # Configure how you reach the Dark King. With Standard, you need to defeat all four bosses and their floors to
    # reach the Dark King. With Boss Rush, only the bosses are blocking your way in the corridor to the Dark King's room.
    # With Dark King Only, the way to the Dark King is free of any obstacle.
    standard: 50
    boss_rush: 0
    dark_king_only: 0

  doom_castle_shortcut:
    # Create a shortcut granting access from the start to Doom Castle at Focus Tower's entrance.
    # Also modify the Desert floor, so it can be navigated without the Mega Grenades and the Dragon Claw.
    'false': 50
    'true': 0

  tweak_frustrating_dungeons:
    # Make some small changes to a few of the most annoying dungeons. Ice Pyramid: Add 3 shortcuts on the 1st floor.
    # Giant Tree: Add shortcuts on the 1st and 4th floors and curtail mushrooms population.
    # Pazuzu's Tower: Staircases are devoid of enemies (regardless of Enemies Density settings).
    'false': 50
    'true': 0

  map_shuffle:
    # None: No shuffle. Overworld: Only shuffle the Overworld locations. Dungeons: Only shuffle the dungeons' floors
    # amongst themselves. Temples and Towns aren't included. Overworld And Dungeons: Shuffle the Overworld and dungeons
    # at the same time. Everything: Shuffle the Overworld, dungeons, temples and towns all amongst each others.
    # When dungeons are shuffled, defeating Pazuzu won't teleport you to the 7th floor, you have to get there normally to
    # save the Crystal and get Pazuzu's Chest.
    none: 50
    overworld: 0
    dungeons: 0
    overworld_and_dungeons: 0
    everything: 0

  crest_shuffle:
    # Shuffle the Crest tiles amongst themselves.
    'false': 50
    'true': 0

  shuffle_battlefield_rewards:
    # Shuffle the type of reward (Item, XP, GP) given by battlefields and color code them by reward type.
    # Blue: Give an item. Grey: Give XP. Green: Give GP.
    'false': 50
    'true': 0

  map_shuffle_seed:
    # If this is a number, it will be used as a set seed number for Map, Crest, Battlefield Reward, and Companion shuffles.
    # If this is "random" the seed will be chosen randomly. If it is any other text, it will be used as a seed group name.
    # All players using the same seed group name will get the same shuffle results, as long as their Map Shuffle,
    # Crest Shuffle, Shuffle Battlefield Rewards, Companion Shuffle, and Kaeli's Mom settings are the same.
    random: 50

  battlefields_battles_quantities:
    # Adjust the number of battles that need to be fought to get a battlefield's reward.
    ten: 50
    seven: 0
    five: 0
    three: 0
    one: 0
    random_one_through_five: 0
    random_one_through_ten: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
